Index: libs/libmyth/mythcommandlineparser.cpp
===================================================================
--- libs/libmyth/mythcommandlineparser.cpp	(revision 20066)
+++ libs/libmyth/mythcommandlineparser.cpp	(working copy)
@@ -1,4 +1,5 @@
 #include <QFile>
+#include <QTextStream>
 
 #include "mythcommandlineparser.h"
 #include "exitcodes.h"
Index: libs/libmyth/mythcdrom.cpp
===================================================================
--- libs/libmyth/mythcdrom.cpp	(revision 20066)
+++ libs/libmyth/mythcdrom.cpp	(working copy)
@@ -6,8 +6,8 @@
 #include "mythcdrom-freebsd.h"
 #endif
 
-#include <qdir.h>
-#include <qfileinfo.h>
+#include <QDir>
+#include <QFileInfo>
 
 #include "mythconfig.h"
 #include "mythverbose.h"
Index: libs/libmyth/uitypes.h
===================================================================
--- libs/libmyth/uitypes.h	(revision 20066)
+++ libs/libmyth/uitypes.h	(working copy)
@@ -25,8 +25,6 @@
 #undef LoadImage
 #endif
 
-class QFont;
-class QPainter;
 class UIType;
 class MythDialog;
 class MythThemedDialog;
Index: libs/libmyth/virtualkeyboard_qt.cpp
===================================================================
--- libs/libmyth/virtualkeyboard_qt.cpp	(revision 20066)
+++ libs/libmyth/virtualkeyboard_qt.cpp	(working copy)
@@ -1,7 +1,7 @@
 #include <QPixmap>
 #include <QImage>
 #include <QApplication>
-#include <QFrame>
+#include <Q3Frame>
 #include <QKeyEvent>
 
 #include "virtualkeyboard_qt.h"
@@ -23,7 +23,7 @@
                     bool setsize)
             : MythThemedDialog(parent, name, setsize)
 {
-    setFrameStyle(QFrame::Panel | QFrame::Raised);
+    setFrameStyle(Q3Frame::Panel | Q3Frame::Raised);
     setLineWidth(1);
     m_parentEdit = parentEdit;
 
Index: libs/libmyth/mythmedia.cpp
===================================================================
--- libs/libmyth/mythmedia.cpp	(revision 20066)
+++ libs/libmyth/mythmedia.cpp	(working copy)
@@ -9,6 +9,7 @@
 #include <QDir>
 #include <QFileInfo>
 #include <QFileInfoList>
+#include <QTextStream>
 
 // MythTV headers
 #include "mythmedia.h"
Index: libs/libmyth/mythterminal.h
===================================================================
--- libs/libmyth/mythterminal.h	(revision 20066)
+++ libs/libmyth/mythterminal.h	(working copy)
@@ -8,6 +8,8 @@
 #include <QString>
 #include <QProcess>
 #include <QMutex>
+#include <QKeyEvent>
+#include <QEvent>
 
 // MythTV headers
 #include "mythexp.h"
Index: libs/libmyth/util.h
===================================================================
--- libs/libmyth/util.h	(revision 20066)
+++ libs/libmyth/util.h	(working copy)
@@ -4,10 +4,11 @@
 #include <algorithm>
 using namespace std;
 
-#include <qstringlist.h>
-#include <qdatetime.h>
-#include <qcolor.h>
+#include <QStringList>
+#include <QDateTime>
+#include <QColor>
 #include <QPixmap>
+#include <QFile>
 
 #include <stdint.h>
 #include <time.h>
@@ -16,12 +17,6 @@
 #include "mythtimer.h"
 #include "mythsystem.h"
 
-class QPixmap;
-class QImage;
-class QPainter;
-class QFont;
-class QFile;
-
 MPUBLIC QDateTime mythCurrentDateTime();
 MPUBLIC int calc_utc_offset(void);
 MPUBLIC QString getTimeZoneID(void);
Index: libs/libmyth/mythcontext.h
===================================================================
--- libs/libmyth/mythcontext.h	(revision 20066)
+++ libs/libmyth/mythcontext.h	(working copy)
@@ -1,17 +1,16 @@
 #ifndef MYTHCONTEXT_H_
 #define MYTHCONTEXT_H_
 
-#include <cerrno>
-#include <iostream>
-#include <sstream>
-#include <vector>
-
 #include <QObject>
 #include <QString>
 #include <QMutex>
 #include <QList>
+#include <QKeyEvent>
 
-#include <qevent.h>
+#include <cerrno>
+#include <iostream>
+#include <sstream>
+#include <vector>
 
 #include "mythexp.h"
 #include "mythobservable.h"
@@ -21,8 +20,6 @@
 
 using namespace std;
 
-class QFont;
-
 class Settings;
 class MythMainWindow;
 class MythPluginManager;
Index: libs/libmyth/mythmediamonitor.h
===================================================================
--- libs/libmyth/mythmediamonitor.h	(revision 20066)
+++ libs/libmyth/mythmediamonitor.h	(working copy)
@@ -2,9 +2,9 @@
 #define MYTH_MEDIA_MONITOR_H
 
 #include <QList>
-#include <qpointer.h>
-#include <qthread.h>
-#include <qstring.h>
+#include <QPointer>
+#include <QThread>
+#include <QString>
 #include <QStringList>
 #include <QMutex>
 #include <QEvent>
Index: libs/libmyth/langsettings.cpp
===================================================================
--- libs/libmyth/langsettings.cpp	(revision 20066)
+++ libs/libmyth/langsettings.cpp	(working copy)
@@ -1,5 +1,5 @@
-#include <qapplication.h>
-#include <qsqldatabase.h>
+#include <QApplication>
+#include <QSqlDatabase>
 #include <QTranslator>
 
 using namespace std;
Index: libs/libmyth/volumebase.cpp
===================================================================
--- libs/libmyth/volumebase.cpp	(revision 20066)
+++ libs/libmyth/volumebase.cpp	(working copy)
@@ -1,4 +1,5 @@
-#include <qstring.h>
+#include <QString>
+
 #include <cstdio>
 #include <cstdlib>
 
Index: libs/libmyth/settings.h
===================================================================
--- libs/libmyth/settings.h	(revision 20066)
+++ libs/libmyth/settings.h	(working copy)
@@ -9,6 +9,8 @@
 
 // Qt headers
 #include <QObject>
+#include <QLabel>
+#include <QDir>
 
 // MythTV headers
 #include "mythexp.h"
@@ -17,9 +19,7 @@
 #include "mythdbcon.h"
 #include "mythstorage.h"
 
-class QWidget;
 class ConfigurationGroup;
-class QDir;
 class Setting;
 
 class MPUBLIC Configurable : public QObject
@@ -524,7 +524,6 @@
     };
 };
 
-class QDate;
 class MPUBLIC DateSetting : public Setting
 {
     Q_OBJECT
@@ -540,7 +539,6 @@
     void setValue(const QDate& newValue);
 };
 
-class QTime;
 class MPUBLIC TimeSetting : public Setting
 {
     Q_OBJECT
Index: libs/libmyth/mythwizard.h
===================================================================
--- libs/libmyth/mythwizard.h	(revision 20066)
+++ libs/libmyth/mythwizard.h	(working copy)
@@ -43,9 +43,9 @@
 
 #include <QEvent>
 #include <QKeyEvent>
+#include <Q3HBoxLayout>
 
 class MythWizardPrivate;
-class QHBoxLayout;
 
 class MPUBLIC MythWizard : public MythDialog
 {
@@ -104,8 +104,8 @@
     void selected(const QString&);
 
 protected:
-    virtual void layOutButtonRow(QHBoxLayout *);
-    virtual void layOutTitleRow(QHBoxLayout *, const QString &);
+    virtual void layOutButtonRow(Q3HBoxLayout *);
+    virtual void layOutTitleRow(Q3HBoxLayout *, const QString &);
 
     void setBackEnabled(bool);
     void setNextEnabled(bool);
Index: libs/libmyth/visual.h
===================================================================
--- libs/libmyth/visual.h	(revision 20066)
+++ libs/libmyth/visual.h	(working copy)
@@ -7,7 +7,7 @@
 #ifndef __visual_h
 #define __visual_h
 
-#include <qmutex.h>
+#include <QMutex>
 
 class Decoder;
 class AudioOutput;
Index: libs/libmyth/mythconfigdialogs.cpp
===================================================================
--- libs/libmyth/mythconfigdialogs.cpp	(revision 20066)
+++ libs/libmyth/mythconfigdialogs.cpp	(working copy)
@@ -7,7 +7,10 @@
 #include "mythuihelper.h"
 
 #include <QWidget>
-#include <QHBoxLayout>
+#include <Q3HBoxLayout>
+#include <QLabel>
+#include <QKeyEvent>
+#include <Q3VBoxLayout>
 
 static void clear_widgets(vector<Configurable*> &children,
                           vector<QWidget*>      &childwidget)
@@ -59,7 +62,7 @@
         label->setSizePolicy(QSizePolicy(QSizePolicy::Minimum,
                                          QSizePolicy::Maximum));
 
-        QHBoxLayout *layout = new QHBoxLayout;
+        Q3HBoxLayout *layout = new Q3HBoxLayout;
         layout->addWidget(label);
 
         QWidget *box = new QWidget(dialog);
@@ -144,7 +147,7 @@
 
     GetMythUI()->GetScreenSettings(wmult, hmult);
 
-    QVBoxLayout *layout = new QVBoxLayout(dialog);
+    Q3VBoxLayout *layout = new Q3VBoxLayout(dialog);
     layout->setSpacing((int)(20 * hmult));
 
     ChildList::iterator it = cfgChildren.begin();
Index: libs/libmyth/mythterminal.cpp
===================================================================
--- libs/libmyth/mythterminal.cpp	(revision 20066)
+++ libs/libmyth/mythterminal.cpp	(working copy)
@@ -21,6 +21,8 @@
 // MythTV headers
 #include "mythterminal.h"
 #include "mythcontext.h"
+#include <QEvent>
+#include <QKeyEvent>
 
 MythTerminal::MythTerminal(QString _program, QStringList _arguments) :
     lock(QMutex::Recursive), running(false),
Index: libs/libmyth/util.cpp
===================================================================
--- libs/libmyth/util.cpp	(revision 20066)
+++ libs/libmyth/util.cpp	(working copy)
@@ -1,5 +1,6 @@
 // C++ headers
 #include <iostream>
+#include <QTextStream>
 
 using namespace std;
 
Index: libs/libmyth/mythdialogs.cpp
===================================================================
--- libs/libmyth/mythdialogs.cpp	(revision 20066)
+++ libs/libmyth/mythdialogs.cpp	(working copy)
@@ -1,6 +1,9 @@
 
 #include <iostream>
 #include <algorithm>
+#include <Q3HBoxLayout>
+#include <QEventLoop>
+#include <Q3VBoxLayout>
 using namespace std;
 
 #include <QCursor>
@@ -13,15 +16,11 @@
 #include <QLabel>
 #include <QPixmap>
 #include <QKeyEvent>
-#include <QFrame>
+#include <Q3Frame>
 #include <QPaintEvent>
 #include <QPainter>
 #include <QProgressBar>
 
-#ifdef QWS
-#include <qwindowsystem_qws.h>
-#endif
-
 #include "uitypes.h"
 #include "uilistbtntype.h"
 #include "xmlparse.h"
@@ -41,7 +40,7 @@
  */
 
 MythDialog::MythDialog(MythMainWindow *parent, const char *name, bool setsize)
-    : QFrame(parent), rescode(kDialogCodeAccepted)
+    : Q3Frame(parent), rescode(kDialogCodeAccepted)
 {
     setObjectName(name);
     if (!parent)
@@ -84,7 +83,7 @@
 {
     hide();
     TeardownAll();
-    QFrame::deleteLater();
+    Q3Frame::deleteLater();
 }
 
 void MythDialog::TeardownAll(void)
@@ -266,8 +265,8 @@
 
     setLineWidth(3);
     setMidLineWidth(3);
-    setFrameShape(QFrame::Panel);
-    setFrameShadow(QFrame::Raised);
+    setFrameShape(Q3Frame::Panel);
+    setFrameShadow(Q3Frame::Raised);
     setPalette(parent->palette());
     popupForegroundColor = palette().color(foregroundRole());
     setFont(parent->font());
@@ -275,7 +274,7 @@
     hpadding = gContext->GetNumSetting("PopupHeightPadding", 120);
     wpadding = gContext->GetNumSetting("PopupWidthPadding", 80);
 
-    vbox = new QVBoxLayout(this);
+    vbox = new Q3VBoxLayout(this);
     vbox->setMargin((int)(10 * hmult));
 
     setAutoFillBackground(true);
@@ -298,16 +297,16 @@
 
     setLineWidth(3);
     setMidLineWidth(3);
-    setFrameShape(QFrame::Panel);
-    setFrameShadow(QFrame::Raised);
-    setFrameStyle(QFrame::Box | QFrame::Plain);
+    setFrameShape(Q3Frame::Panel);
+    setFrameShadow(Q3Frame::Raised);
+    setFrameStyle(Q3Frame::Box | Q3Frame::Plain);
     setPalette(parent->palette());
     setFont(parent->font());
 
     hpadding = gContext->GetNumSetting("PopupHeightPadding", 120);
     wpadding = gContext->GetNumSetting("PopupWidthPadding", 80);
 
-    vbox = new QVBoxLayout(this);
+    vbox = new Q3VBoxLayout(this);
     vbox->setMargin((int)(10 * hmult));
 
     if (!graphicPopup)
@@ -860,13 +859,13 @@
     msglabel = new QLabel();
     msglabel->setText(message);
 
-    QVBoxLayout *vlayout = new QVBoxLayout();
+    Q3VBoxLayout *vlayout = new Q3VBoxLayout();
     vlayout->addWidget(msglabel);
 
     progress = new QProgressBar();
     progress->setRange(0, totalSteps);
 
-    QHBoxLayout *hlayout = new QHBoxLayout();
+    Q3HBoxLayout *hlayout = new Q3HBoxLayout();
     hlayout->addWidget(progress);
 
     if (cancelButton && slot && target)
@@ -898,15 +897,15 @@
     hbox->setLayout(hlayout);
     vlayout->addWidget(hbox);
 
-    QFrame *vbox = new QFrame(this);
+    Q3Frame *vbox = new Q3Frame(this);
     vbox->setObjectName(objectName() + "_vbox");
     vbox->setLineWidth(3);
     vbox->setMidLineWidth(3);
-    vbox->setFrameShape(QFrame::Panel);
-    vbox->setFrameShadow(QFrame::Raised);
+    vbox->setFrameShape(Q3Frame::Panel);
+    vbox->setFrameShadow(Q3Frame::Raised);
     vbox->setLayout(vlayout);
 
-    QVBoxLayout *lay = new QVBoxLayout();
+    Q3VBoxLayout *lay = new Q3VBoxLayout();
     lay->addWidget(vbox);
     setLayout(lay);
 
@@ -1733,10 +1732,10 @@
     this->setGeometry((screenwidth - 250 ) / 2,
                       (screenheight - 50 ) / 2,
                       totalWidth,50);
-    QFrame *outside_border = new QFrame(this);
+    Q3Frame *outside_border = new Q3Frame(this);
     outside_border->setObjectName(objectName() + "_outside_border");
     outside_border->setGeometry(0,0,totalWidth,50);
-    outside_border->setFrameStyle(QFrame::Panel | QFrame::Raised );
+    outside_border->setFrameStyle(Q3Frame::Panel | Q3Frame::Raised );
     outside_border->setLineWidth(4);
 
     QLabel *message_label = new QLabel(message, this);
Index: libs/libmyth/libmyth.pro
===================================================================
--- libs/libmyth/libmyth.pro	(revision 20066)
+++ libs/libmyth/libmyth.pro	(working copy)
@@ -210,3 +210,4 @@
 include ( ../libs-targetfix.pro )
 
 LIBS += $$LATE_LIBS
+QT +=  opengl qt3support 
Index: libs/libmyth/mythmediamonitor.cpp
===================================================================
--- libs/libmyth/mythmediamonitor.cpp	(revision 20066)
+++ libs/libmyth/mythmediamonitor.cpp	(working copy)
@@ -5,6 +5,7 @@
 // C++ headers
 #include <iostream>
 #include <typeinfo>
+#include <QEvent>
 using namespace std;
 
 // Qt headers
Index: libs/libmyth/xmlparse.h
===================================================================
--- libs/libmyth/xmlparse.h	(revision 20066)
+++ libs/libmyth/xmlparse.h	(working copy)
@@ -3,11 +3,12 @@
 
 #include "uitypes.h"
 #include "mythcontext.h"
-#include <qimage.h>
-#include <qrect.h>
-#include <qlabel.h>
-#include <qdom.h>
 
+#include <QImage>
+#include <QRect>
+#include <QLabel>
+#include <QDomNode>
+
 class MythUIHelper;
 
 class MPUBLIC XMLParse
Index: libs/libmyth/mythplugin.h
===================================================================
--- libs/libmyth/mythplugin.h	(revision 20066)
+++ libs/libmyth/mythplugin.h	(working copy)
@@ -4,15 +4,14 @@
 #include <QLibrary>
 #include <QMap>
 #include <QHash>
+#include <QPainter>
 
 #include <vector>
 using namespace std;
 
 #include "mythexp.h"
 
-class QSqlDatabase;
 class MythContext;
-class QPainter;
 
 typedef enum {
     kPluginType_Module = 0,
Index: libs/libmyth/output.h
===================================================================
--- libs/libmyth/output.h	(revision 20066)
+++ libs/libmyth/output.h	(working copy)
@@ -18,7 +18,6 @@
 
 #include "mythobservable.h"
 
-class QObject;
 class Buffer;
 
 namespace MythTV {
Index: libs/libmyth/volumebase.h
===================================================================
--- libs/libmyth/volumebase.h	(revision 20066)
+++ libs/libmyth/volumebase.h	(working copy)
@@ -4,7 +4,7 @@
 #include <iostream>
 using namespace std;
 
-#include <qstring.h>
+#include <QString>
 #include "mythcontext.h"
 
 typedef enum {
Index: libs/libmyth/dialogbox.cpp
===================================================================
--- libs/libmyth/dialogbox.cpp	(revision 20066)
+++ libs/libmyth/dialogbox.cpp	(working copy)
@@ -1,4 +1,6 @@
 #include <iostream>
+#include <Q3VBoxLayout>
+#include <QLabel>
 using namespace std;
 
 #include "dialogbox.h"
@@ -10,7 +12,7 @@
 #endif
 
 #include <QButtonGroup>
-#include <QBoxLayout>
+#include <Q3BoxLayout>
 
 DialogBox::DialogBox(MythMainWindow *parent, const QString &text, 
                      const char *checkboxtext,
@@ -21,7 +23,7 @@
     maintext->setAlignment(Qt::AlignLeft | Qt::AlignTop);
     maintext->setWordWrap(true);
 
-    box = new QVBoxLayout(this);
+    box = new Q3VBoxLayout(this);
     box->setContentsMargins((int)(60 * wmult),(int)(60 * wmult),
                            (int)(60 * wmult),(int)(60 * wmult));
     box->setSpacing(0);
Index: libs/libmyth/mythconfiggroups.h
===================================================================
--- libs/libmyth/mythconfiggroups.h	(revision 20066)
+++ libs/libmyth/mythconfiggroups.h	(working copy)
@@ -3,8 +3,9 @@
 #ifndef MYTH_CONFIG_GROUPS_H
 #define MYTH_CONFIG_GROUPS_H
 
-#include <QVBoxLayout>
-#include <QGroupBox>
+#include <Q3VBoxLayout>
+#include <Q3GroupBox>
+#include <QStackedWidget>
 
 // MythTV headers
 #include "mythexp.h"
@@ -14,8 +15,6 @@
 #include "settings.h"
 #undef MYTHCONFIG
 
-class QStackedWidget;
-
 class MPUBLIC ConfigurationGroup : public Setting, public Storage
 {
     Q_OBJECT
@@ -92,9 +91,9 @@
 
   private:
     vector<QWidget*>    childwidget;
-    QGroupBox          *widget;
+    Q3GroupBox          *widget;
     ConfigurationGroup *confgrp;
-    QVBoxLayout        *layout;
+    Q3VBoxLayout        *layout;
 };
 
 class MPUBLIC HorizontalConfigurationGroup : public ConfigurationGroup
Index: libs/libmyth/mythconfigdialogs.h
===================================================================
--- libs/libmyth/mythconfigdialogs.h	(revision 20066)
+++ libs/libmyth/mythconfigdialogs.h	(working copy)
@@ -6,6 +6,8 @@
 // Qt headers
 #include <QObject>
 #include <QString>
+#include <QLabel>
+#include <QKeyEvent>
 
 // MythTV headers
 #include "mythexp.h"
Index: libs/libmyth/mythhttphandler.h
===================================================================
--- libs/libmyth/mythhttphandler.h	(revision 20066)
+++ libs/libmyth/mythhttphandler.h	(working copy)
@@ -10,11 +10,10 @@
 // Qt headers
 #include <QMutex>
 #include <QUrl>
+#include <QHttpResponseHeader>
 
 typedef deque<QUrl> UrlQueue;
 
-class QHttp;
-class QHttpResponseHeader;
 class MythHttpPool;
 
 class MythHttpHandler : public QObject
Index: libs/libmyth/dbutil.h
===================================================================
--- libs/libmyth/dbutil.h	(revision 20066)
+++ libs/libmyth/dbutil.h	(working copy)
@@ -1,8 +1,8 @@
 #ifndef DBUTIL_H_
 #define DBUTIL_H_
 
-#include <qstringlist.h>
-#include <qmap.h>
+#include <QStringList>
+#include <QMap>
 
 #include "mythexp.h"
 #include "mythdbcon.h"
Index: libs/libmyth/mythdialogs.h
===================================================================
--- libs/libmyth/mythdialogs.h	(revision 20066)
+++ libs/libmyth/mythdialogs.h	(working copy)
@@ -6,9 +6,14 @@
 #include <QLabel>
 #include <QAbstractButton>
 #include <QObject>
-#include <QFrame>
+#include <Q3Frame>
 #include <QVector>
 #include <QList>
+#include <QKeyEvent>
+#include <QPixmap>
+#include <Q3VBoxLayout>
+#include <QPaintEvent>
+#include <QProgressBar>
 
 #include "mythexp.h"
 
@@ -40,8 +45,6 @@
 class MythListBox;
 struct fontProp;
 class MythMainWindow;
-class QVBoxLayout;
-class QProgressBar;
 
 #include "mythmainwindow.h"
 
@@ -71,7 +74,7 @@
 inline bool operator!=(const QDialog::DialogCode &a, const DialogCode &b)
 { return ((int)a) == ((int)b); }
 
-class MPUBLIC MythDialog : public QFrame
+class MPUBLIC MythDialog : public Q3Frame
 {
     Q_OBJECT
 
@@ -210,7 +213,7 @@
     void defaultButtonPressedHandler(void);
 
   private:
-    QVBoxLayout *vbox;
+    Q3VBoxLayout *vbox;
     QColor       popupForegroundColor;
     int          hpadding, wpadding;
     bool         arrowAccel;
Index: libs/libmyth/backendselect.h
===================================================================
--- libs/libmyth/backendselect.h	(revision 20066)
+++ libs/libmyth/backendselect.h	(working copy)
@@ -2,6 +2,7 @@
 #define __BACKENDSELECT_H__
 
 #include <QListWidget>
+#include <QEvent>
 
 #include "mythdialogs.h"
 #include "upnpdevice.h"
Index: libs/libmyth/uitypes.cpp
===================================================================
--- libs/libmyth/uitypes.cpp	(revision 20066)
+++ libs/libmyth/uitypes.cpp	(working copy)
@@ -3,6 +3,10 @@
 
 // C++ headers
 #include <algorithm>
+#include <QPixmap>
+#include <QKeyEvent>
+#include <QEvent>
+#include <QTextEdit>
 using namespace std;
 
 // Qt headers
Index: libs/libmyth/mythconfiggroups.cpp
===================================================================
--- libs/libmyth/mythconfiggroups.cpp	(revision 20066)
+++ libs/libmyth/mythconfiggroups.cpp	(working copy)
@@ -1,7 +1,11 @@
 #include <algorithm>
 
-#include <QGroupBox>
+#include <Q3GroupBox>
 #include <QStackedWidget>
+#include <Q3HBoxLayout>
+#include <QGridLayout>
+#include <Q3Frame>
+#include <Q3VBoxLayout>
 
 #include "mythconfiggroups.h"
 #include "mythcontext.h"
@@ -112,7 +116,7 @@
     QWidget            *parent,
     const char         *widgetName) 
 {
-    layout = new QVBoxLayout();
+    layout = new Q3VBoxLayout();
     layout->setMargin(margin);
     layout->setSpacing((space<0) ? margin : space);
 
@@ -137,15 +141,15 @@
     QWidget *widget = NULL;
     if (uselabel)
     {
-        QGroupBox *groupbox = new QGroupBox(parent);
+        Q3GroupBox *groupbox = new Q3GroupBox(parent);
         groupbox->setObjectName(QString("VCG(%1)_groupbox").arg(widgetName));
         groupbox->setTitle(getLabel());
         widget = groupbox;
     }
     else if (useframe)
     {
-        QFrame *frame = new QFrame(parent);
-        frame->setFrameStyle(QFrame::Box);
+        Q3Frame *frame = new Q3Frame(parent);
+        frame->setFrameStyle(Q3Frame::Box);
         frame->setObjectName(QString("VCG(%1)_frame").arg(widgetName));
         widget = frame;
     }
@@ -228,7 +232,7 @@
     QWidget            *parent, 
     const char         *widgetName) 
 {
-    QHBoxLayout *layout = new QHBoxLayout();
+    Q3HBoxLayout *layout = new Q3HBoxLayout();
     layout->setMargin(margin);
     layout->setSpacing((space<0) ? margin : space);
 
@@ -251,15 +255,15 @@
     QWidget *widget = NULL;
     if (uselabel)
     {
-        QGroupBox *groupbox = new QGroupBox(parent);
+        Q3GroupBox *groupbox = new Q3GroupBox(parent);
         groupbox->setObjectName(QString("HCG(%1)_groupbox").arg(widgetName));
         groupbox->setTitle(getLabel());
         widget = groupbox;
     }
     else if (useframe)
     {
-        QFrame *frame = new QFrame(parent);
-        frame->setFrameStyle(QFrame::Box);
+        Q3Frame *frame = new Q3Frame(parent);
+        frame->setFrameStyle(Q3Frame::Box);
         frame->setObjectName(QString("HCG(%1)_frame").arg(widgetName));
         widget = frame;
     }
@@ -301,15 +305,15 @@
     QWidget *widget = NULL;
     if (uselabel)
     {
-        QGroupBox *groupbox = new QGroupBox(parent);
+        Q3GroupBox *groupbox = new Q3GroupBox(parent);
         groupbox->setObjectName(QString("GCG(%1)_groupbox").arg(widgetName));
         groupbox->setTitle(getLabel());
         widget = groupbox;
     }
     else if (useframe)
     {
-        QFrame *frame = new QFrame(parent);
-        frame->setFrameStyle(QFrame::Box);
+        Q3Frame *frame = new Q3Frame(parent);
+        frame->setFrameStyle(Q3Frame::Box);
         frame->setObjectName(QString("GCG(%1)_frame").arg(widgetName));
         widget = frame;
     }
Index: libs/libmyth/dialogbox.h
===================================================================
--- libs/libmyth/dialogbox.h	(revision 20066)
+++ libs/libmyth/dialogbox.h	(working copy)
@@ -3,11 +3,11 @@
 
 #include <QObject>
 #include <QCheckBox>
+#include <Q3VBoxLayout>
+#include <QButtonGroup>
 
 #include "mythdialogs.h"
 #include "compat.h" // to undef DialogBox
-class QVBoxLayout;
-class QButtonGroup;
 
 class MPUBLIC DialogBox : public MythDialog
 {
@@ -28,7 +28,7 @@
     ~DialogBox() {} // use deleteLater() for thread safety
 
   private:
-    QVBoxLayout *box;
+    Q3VBoxLayout *box;
     QButtonGroup *buttongroup;
 
     QCheckBox *checkbox;
Index: libs/libmyth/virtualkeyboard_qt.h
===================================================================
--- libs/libmyth/virtualkeyboard_qt.h	(revision 20066)
+++ libs/libmyth/virtualkeyboard_qt.h	(working copy)
@@ -2,9 +2,8 @@
 #define VIRTUALKEYBOARDQT_H_
 
 #include "mythdialogs.h"
+#include <QKeyEvent>
 
-class QKeyEvent;
-
 /// Preferred position to place virtual keyboard popup.
 enum PopupPositionQt 
 {
Index: libs/libmyth/dbutil.cpp
===================================================================
--- libs/libmyth/dbutil.cpp	(revision 20066)
+++ libs/libmyth/dbutil.cpp	(working copy)
@@ -8,6 +8,7 @@
 #include <QFile>
 #include <QRegExp>
 #include <QDateTime>
+#include <QProcess>
 
 #include "dbutil.h"
 #include "mythcontext.h"
Index: libs/libmyth/mythcontext.cpp
===================================================================
--- libs/libmyth/mythcontext.cpp	(revision 20066)
+++ libs/libmyth/mythcontext.cpp	(working copy)
@@ -7,6 +7,8 @@
 #include <QDesktopWidget>
 #include <QPainter>
 #include <QDebug>
+#include <QTextStream>
+#include <QKeyEvent>
 
 #include <cmath>
 #include <queue>
Index: libs/libmyth/backendselect.cpp
===================================================================
--- libs/libmyth/backendselect.cpp	(revision 20066)
+++ libs/libmyth/backendselect.cpp	(working copy)
@@ -11,6 +11,10 @@
 #include "mythcontext.h"
 
 #include "mythxmlclient.h"
+#include <Q3GridLayout>
+#include <QLabel>
+#include <QKeyEvent>
+#include <QEvent>
 
 
 BackendSelect::BackendSelect(MythMainWindow *parent, DatabaseParams *params)
@@ -168,7 +172,7 @@
 {
     // Probably should all be members, and deleted by ~BackendSelect()
     QLabel         *label;
-    QGridLayout    *layout;
+    Q3GridLayout    *layout;
     MythPushButton *cancel;
     MythPushButton *manual;
     MythPushButton *OK;
@@ -188,7 +192,7 @@
 #endif
 
 
-    layout = new QGridLayout(this);
+    layout = new Q3GridLayout(this);
     layout->setContentsMargins(40,40,40,40);
     layout->addWidget(label, 0, 1, 1, 3);
     layout->addWidget(m_backends, 1, 0, 1, 5);
Index: libs/libmythfreemheg/Engine.cpp
===================================================================
--- libs/libmythfreemheg/Engine.cpp	(revision 20066)
+++ libs/libmythfreemheg/Engine.cpp	(working copy)
@@ -20,7 +20,7 @@
 */
 
 #include <QStringList>
-#include <qregexp.h>
+#include <QRegExp>
 
 #include "Engine.h"
 #include "ParseNode.h"
Index: libs/libmythfreemheg/Groups.h
===================================================================
--- libs/libmythfreemheg/Groups.h	(revision 20066)
+++ libs/libmythfreemheg/Groups.h	(working copy)
@@ -22,8 +22,8 @@
 
 #if !defined(GROUPCLASS_H)
 #define GROUPCLASS_H
-#include <qstring.h>
-#include <qdatetime.h> 
+#include <QString>
+#include <QDateTime> 
 #include <QList>
 
 #include "Root.h"
Index: libs/libmythfreemheg/libmythfreemheg.pro
===================================================================
--- libs/libmythfreemheg/libmythfreemheg.pro	(revision 20066)
+++ libs/libmythfreemheg/libmythfreemheg.pro	(working copy)
@@ -25,3 +25,4 @@
 LIBS += $$EXTRA_LIBS
 
 include ( ../libs-targetfix.pro )
+QT += network  sql qt3support 
Index: libs/libmythfreemheg/Logging.h
===================================================================
--- libs/libmythfreemheg/Logging.h	(revision 20066)
+++ libs/libmythfreemheg/Logging.h	(working copy)
@@ -22,8 +22,8 @@
 #if !defined(LOGGING_H)
 #define LOGGING_H
 
-#include <qglobal.h> // For Q_ASSERT
-#include <qstring.h> // For QString
+#include <QtGlobal> // For Q_ASSERT
+#include <QString>  // For QString
 
 #include "freemheg.h" // For MHLogError
 
Index: libs/libmythfreemheg/BaseClasses.h
===================================================================
--- libs/libmythfreemheg/BaseClasses.h	(revision 20066)
+++ libs/libmythfreemheg/BaseClasses.h	(working copy)
@@ -27,7 +27,7 @@
 #include <malloc.h>
 #endif
 
-#include <qstring.h>
+#include <QString>
 
 #include "Logging.h" // For MHASSERT
 
Index: libs/libmythfreemheg/Link.h
===================================================================
--- libs/libmythfreemheg/Link.h	(revision 20066)
+++ libs/libmythfreemheg/Link.h	(working copy)
@@ -28,7 +28,7 @@
 #include "Actions.h"
 #include "BaseActions.h"
 
-#include <qstring.h>
+#include <QString>
 
 class MHParseNode;
 
Index: libs/libmythfreemheg/TokenGroup.h
===================================================================
--- libs/libmythfreemheg/TokenGroup.h	(revision 20066)
+++ libs/libmythfreemheg/TokenGroup.h	(working copy)
@@ -31,7 +31,7 @@
 #include "BaseActions.h"
 #include "Actions.h"
 
-#include <qpoint.h>
+#include <QPoint>
 #include <QList>
 
 class MHEngine;
Index: libs/libmythfreemheg/Visible.h
===================================================================
--- libs/libmythfreemheg/Visible.h	(revision 20066)
+++ libs/libmythfreemheg/Visible.h	(working copy)
@@ -21,7 +21,7 @@
 
 #if !defined(VISIBLE_H)
 #define VISIBLE_H
-#include <qregion.h>
+#include <QRegion>
 
 #include "Presentable.h"
 // Dependencies
Index: libs/libmythfreemheg/Engine.h
===================================================================
--- libs/libmythfreemheg/Engine.h	(revision 20066)
+++ libs/libmythfreemheg/Engine.h	(working copy)
@@ -30,9 +30,10 @@
 #include "Visible.h"
 #include "Actions.h"
 #include "Link.h"
-#include <qstring.h>
-#include <qrect.h>
-#include <qregion.h>
+
+#include <QString>
+#include <QRect>
+#include <QRegion>
 #include <QList>
 #include <QStack>
 #include <QQueue>
Index: libs/libmythfreemheg/Ingredients.h
===================================================================
--- libs/libmythfreemheg/Ingredients.h	(revision 20066)
+++ libs/libmythfreemheg/Ingredients.h	(working copy)
@@ -26,8 +26,9 @@
 #include "BaseClasses.h"
 #include "Actions.h"
 #include "BaseActions.h"
-#include <qstring.h>
 
+#include <QString>
+
 class MHParseNode;
 
 // Abstract class for ingredients of a scene or application.
Index: libs/libmythfreemheg/freemheg.h
===================================================================
--- libs/libmythfreemheg/freemheg.h	(revision 20066)
+++ libs/libmythfreemheg/freemheg.h	(working copy)
@@ -22,7 +22,8 @@
 #if !defined(FREEMHEG_H)
 #define FREEMHEG_H
 
-#include <qregion.h>
+#include <QRegion>
+
 #include <stdio.h>
 #include <stdlib.h>
 
@@ -68,7 +69,7 @@
 {
 public:
     MHRgba(int red, int green, int blue, int alpha):
-      m_red(red), m_green(green), m_blue(blue), m_alpha(alpha) {};
+      m_red(Qt::red), m_green(Qt::green), m_blue(Qt::blue), m_alpha(alpha) {};
     MHRgba(): m_red(0), m_green(0), m_blue(0), m_alpha(0) {};
     int red() const { return m_red; }
     int green() const { return m_green; }
Index: libs/libmythupnp/refcounted.h
===================================================================
--- libs/libmythupnp/refcounted.h	(revision 20066)
+++ libs/libmythupnp/refcounted.h	(working copy)
@@ -24,7 +24,7 @@
 #ifndef __REFCOUNTED_H__
 #define __REFCOUNTED_H__
 
-#include <qmutex.h>
+#include <QMutex>
 
 /////////////////////////////////////////////////////////////////////////////
 /////////////////////////////////////////////////////////////////////////////
Index: libs/libmythupnp/soapclient.h
===================================================================
--- libs/libmythupnp/soapclient.h	(revision 20066)
+++ libs/libmythupnp/soapclient.h	(working copy)
@@ -24,7 +24,8 @@
 #ifndef SOAPCLIENT_H_
 #define SOAPCLIENT_H_
 
-#include <qdom.h>
+#include <QDomNode>
+#include <QUrl>
 
 #include "httpcomms.h"
 #include "upnputil.h"
Index: libs/libmythupnp/threadpool.h
===================================================================
--- libs/libmythupnp/threadpool.h	(revision 20066)
+++ libs/libmythupnp/threadpool.h	(working copy)
@@ -25,6 +25,7 @@
 #define __THREADPOOL_H__
 
 #include <deque>
+#include <QEvent>
 using namespace std;
 
 #include <QString> 
Index: libs/libmythupnp/taskqueue.cpp
===================================================================
--- libs/libmythupnp/taskqueue.cpp	(revision 20066)
+++ libs/libmythupnp/taskqueue.cpp	(working copy)
@@ -23,8 +23,9 @@
 
 #include "taskqueue.h"
 #include <sys/time.h>
-#include <qdatetime.h>
 
+#include <QDateTime>
+
 #include <iostream>
 
 using std::cerr;
